{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "id": "Tya5-QeCpcWH2It8UlZAD",
      "type": "rectangle",
      "x": 736.0970594618057,
      "y": 106.67490999586863,
      "width": 541.8058810763887,
      "height": 800.5199114832245,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#ebfbee",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a5",
      "roundness": {
        "type": 3
      },
      "seed": 792855370,
      "version": 729,
      "versionNonce": 369265482,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096673592,
      "link": null,
      "locked": false
    },
    {
      "id": "9-6MZ_teUazZ_OChS15aq",
      "type": "rectangle",
      "x": 810.4795883151805,
      "y": 609.4375710471714,
      "width": 402.8792298303266,
      "height": 133.68680420637367,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a6",
      "roundness": {
        "type": 3
      },
      "seed": 1131874826,
      "version": 520,
      "versionNonce": 1696918870,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "uAifV19BXfFXgHEa_Oa62"
        },
        {
          "id": "aSbfkiKy0ZEEsIizzfELz",
          "type": "arrow"
        },
        {
          "id": "enx1Jy0JeGYMO3-RHnNcV",
          "type": "arrow"
        },
        {
          "id": "nktC15woajHqOrvRtspNb",
          "type": "arrow"
        },
        {
          "id": "IMDi9AvGejdVdP1GoNQTY",
          "type": "arrow"
        }
      ],
      "updated": 1762096657033,
      "link": null,
      "locked": false
    },
    {
      "id": "uAifV19BXfFXgHEa_Oa62",
      "type": "text",
      "x": 934.9192032303438,
      "y": 663.7809731503582,
      "width": 154,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a7",
      "roundness": null,
      "seed": 14497994,
      "version": 68,
      "versionNonce": 390687114,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657032,
      "link": null,
      "locked": false,
      "text": "Self Attention",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "9-6MZ_teUazZ_OChS15aq",
      "originalText": "Self Attention",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "ly3JnsGQRFWH-NW2Mj6AU",
      "type": "rectangle",
      "x": 811.1938740466635,
      "y": 500.2321022122386,
      "width": 402.87922978524415,
      "height": 55.00000018047178,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a8",
      "roundness": {
        "type": 3
      },
      "seed": 1997508490,
      "version": 375,
      "versionNonce": 685439638,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "39OqMPkqyiPgus4RIO5Ux"
        },
        {
          "id": "CjLVsQL-B8wtRNQbzrcWg",
          "type": "arrow"
        },
        {
          "id": "IMDi9AvGejdVdP1GoNQTY",
          "type": "arrow"
        },
        {
          "id": "miZslBq2DPx7uKzIldbky",
          "type": "arrow"
        },
        {
          "id": "aFIjHqHwxsUSo1z9g0FP8",
          "type": "arrow"
        }
      ],
      "updated": 1762096685198,
      "link": null,
      "locked": false
    },
    {
      "id": "39OqMPkqyiPgus4RIO5Ux",
      "type": "text",
      "x": 924.6334889392856,
      "y": 515.2321023024745,
      "width": 176,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "a9",
      "roundness": null,
      "seed": 172559946,
      "version": 140,
      "versionNonce": 1745565654,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096685198,
      "link": null,
      "locked": false,
      "text": "Add & Normallize",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "ly3JnsGQRFWH-NW2Mj6AU",
      "originalText": "Add & Normallize",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "Mf3Sn6kZ1ircwwisnVG4V",
      "type": "rectangle",
      "x": 810.4795883323777,
      "y": 271.11449506938146,
      "width": 402.87922978524415,
      "height": 154.37500018047177,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aA",
      "roundness": {
        "type": 3
      },
      "seed": 1600435466,
      "version": 481,
      "versionNonce": 1598712714,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "Xed2w7qNQpqkzSb7WbVRR"
        },
        {
          "id": "aFIjHqHwxsUSo1z9g0FP8",
          "type": "arrow"
        },
        {
          "id": "SGdvTr0O-mLyuI3whycih",
          "type": "arrow"
        }
      ],
      "updated": 1762096657033,
      "link": null,
      "locked": false
    },
    {
      "id": "Xed2w7qNQpqkzSb7WbVRR",
      "type": "text",
      "x": 945.9192032249998,
      "y": 335.8019951596174,
      "width": 132,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aB",
      "roundness": null,
      "seed": 1205699530,
      "version": 338,
      "versionNonce": 1248857866,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657032,
      "link": null,
      "locked": false,
      "text": "Feed Forward",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "Mf3Sn6kZ1ircwwisnVG4V",
      "originalText": "Feed Forward",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "0x1Muvn1N0nEsEbj61nl0",
      "type": "rectangle",
      "x": 810.4795883323773,
      "y": 144.79991006938144,
      "width": 402.87922978524415,
      "height": 55.00000018047178,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aC",
      "roundness": {
        "type": 3
      },
      "seed": 768506506,
      "version": 377,
      "versionNonce": 1321992330,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "t-SCqmL1wUUqTYOcDfjfU"
        },
        {
          "id": "miZslBq2DPx7uKzIldbky",
          "type": "arrow"
        }
      ],
      "updated": 1762096657033,
      "link": null,
      "locked": false
    },
    {
      "id": "t-SCqmL1wUUqTYOcDfjfU",
      "type": "text",
      "x": 923.9192032249994,
      "y": 159.79991015961733,
      "width": 176,
      "height": 25,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#e7f5ff",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aD",
      "roundness": null,
      "seed": 2146605386,
      "version": 230,
      "versionNonce": 745381322,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657032,
      "link": null,
      "locked": false,
      "text": "Add & Normallize",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "0x1Muvn1N0nEsEbj61nl0",
      "originalText": "Add & Normallize",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "xtorGh2A1C7q8CeZzJnLZ",
      "type": "ellipse",
      "x": 990.169203332378,
      "y": 836.4727010693815,
      "width": 43.5,
      "height": 43.5,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aE",
      "roundness": {
        "type": 2
      },
      "seed": 497344522,
      "version": 300,
      "versionNonce": 1422933258,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "CjLVsQL-B8wtRNQbzrcWg",
          "type": "arrow"
        },
        {
          "id": "aSbfkiKy0ZEEsIizzfELz",
          "type": "arrow"
        },
        {
          "id": "enx1Jy0JeGYMO3-RHnNcV",
          "type": "arrow"
        },
        {
          "id": "nktC15woajHqOrvRtspNb",
          "type": "arrow"
        },
        {
          "id": "Hk502U6YF0FPCeKMli-v5",
          "type": "arrow"
        }
      ],
      "updated": 1762096681597,
      "link": null,
      "locked": false
    },
    {
      "id": "CjLVsQL-B8wtRNQbzrcWg",
      "type": "arrow",
      "x": 985.1693902489187,
      "y": 858.1227010693815,
      "width": 213.97551620225522,
      "height": 330.49059876690694,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aF",
      "roundness": null,
      "seed": 1121996490,
      "version": 283,
      "versionNonce": 1757531414,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096685199,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -213.97551620225522,
          0
        ],
        [
          -213.97551620225522,
          -330.49059876690694
        ],
        [
          -178.97551620225522,
          -330.49059876690694
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "xtorGh2A1C7q8CeZzJnLZ",
        "focus": 0.004597701149423719,
        "gap": 5.000000000000124,
        "fixedPoint": [
          -0.11493823180366046,
          0.4977011494252868
        ]
      },
      "endBinding": {
        "elementId": "ly3JnsGQRFWH-NW2Mj6AU",
        "focus": 1.0248213341882395,
        "gap": 5,
        "fixedPoint": [
          -0.012410667094119653,
          0.4981818181877853
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "aSbfkiKy0ZEEsIizzfELz",
      "type": "arrow",
      "x": 1011.819203332378,
      "y": 831.4728879859224,
      "width": 138.4240179999997,
      "height": 83.34851273237734,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aG",
      "roundness": null,
      "seed": 1950344586,
      "version": 202,
      "versionNonce": 756441494,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657035,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -41.674349824459114
        ],
        [
          138.4240179999997,
          -41.674349824459114
        ],
        [
          138.4240179999997,
          -83.34851273237734
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "xtorGh2A1C7q8CeZzJnLZ",
        "focus": -0.004597701149415878,
        "gap": 5.000000000000011,
        "fixedPoint": [
          0.4977011494252894,
          -0.11493823180365785
        ]
      },
      "endBinding": {
        "elementId": "9-6MZ_teUazZ_OChS15aq",
        "focus": -1.0748016983378765,
        "gap": 5,
        "fixedPoint": [
          0.8433386679186449,
          1.0374008491689382
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "enx1Jy0JeGYMO3-RHnNcV",
      "type": "arrow",
      "x": 1011.819203332378,
      "y": 831.4728879859224,
      "width": 145.0759820000003,
      "height": 83.34851273237734,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aH",
      "roundness": null,
      "seed": 1795073098,
      "version": 168,
      "versionNonce": 522889930,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657035,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -41.674349824459114
        ],
        [
          -145.0759820000003,
          -41.674349824459114
        ],
        [
          -145.0759820000003,
          -83.34851273237734
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "xtorGh2A1C7q8CeZzJnLZ",
        "focus": -0.004597701149415878,
        "gap": 5.000000000000011,
        "fixedPoint": [
          0.4977011494252894,
          -0.11493823180365785
        ]
      },
      "endBinding": {
        "elementId": "9-6MZ_teUazZ_OChS15aq",
        "focus": 1.0748016983378723,
        "gap": 5,
        "fixedPoint": [
          0.13965384376080334,
          1.0374008491689382
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "nktC15woajHqOrvRtspNb",
      "type": "arrow",
      "x": 1011.819203332378,
      "y": 831.4728879859224,
      "width": 1.0203484634985216e-7,
      "height": 83.34851273237734,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aI",
      "roundness": null,
      "seed": 16222986,
      "version": 166,
      "versionNonce": 1044496086,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657035,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -1.0203484634985216e-7,
          -83.34851273237734
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "xtorGh2A1C7q8CeZzJnLZ",
        "focus": -0.004597699638180666,
        "gap": 5.000000000000011,
        "fixedPoint": [
          0.4977011494252894,
          -0.11493823180365785
        ]
      },
      "endBinding": {
        "elementId": "9-6MZ_teUazZ_OChS15aq",
        "focus": 0.0004964271201179518,
        "gap": 5,
        "fixedPoint": [
          0.4997517866581438,
          1.0374008491689382
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "IMDi9AvGejdVdP1GoNQTY",
      "type": "arrow",
      "x": 1011.8192032303441,
      "y": 604.4375710471714,
      "width": 0.7142857089420431,
      "height": 44.2054686544609,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aJ",
      "roundness": null,
      "seed": 480614858,
      "version": 216,
      "versionNonce": 1483979350,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096685199,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0.7142857089420431,
          -44.2054686544609
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "9-6MZ_teUazZ_OChS15aq",
        "focus": -0.0004964265508200943,
        "gap": 5,
        "fixedPoint": [
          0.499751786658146,
          -0.037400849168938544
        ]
      },
      "endBinding": {
        "elementId": "ly3JnsGQRFWH-NW2Mj6AU",
        "focus": 0.0004964267438247529,
        "gap": 5.000000000000114,
        "fixedPoint": [
          0.49975178665811903,
          1.0909090906107934
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "miZslBq2DPx7uKzIldbky",
      "type": "arrow",
      "x": 1012.5334889392857,
      "y": 495.2321022122386,
      "width": 242.05390060690843,
      "height": 323.0321920526213,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aK",
      "roundness": null,
      "seed": 488886410,
      "version": 229,
      "versionNonce": 211784214,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096685297,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -19.35739414285706
        ],
        [
          -242.05390060690843,
          -19.35739414285706
        ],
        [
          -242.05390060690843,
          -323.0321920526213
        ],
        [
          -207.05390060690843,
          -323.0321920526213
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "ly3JnsGQRFWH-NW2Mj6AU",
        "focus": -0.0004964266837619519,
        "gap": 5,
        "fixedPoint": [
          0.4997517866581179,
          -0.09090909061079044
        ]
      },
      "endBinding": {
        "elementId": "0x1Muvn1N0nEsEbj61nl0",
        "focus": 1.0248213341882393,
        "gap": 5,
        "fixedPoint": [
          -0.012410667094119653,
          0.4981818181877832
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -19.35739414285706
          ],
          "end": [
            -242.05390060690843,
            -19.35739414285706
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "Hk502U6YF0FPCeKMli-v5",
      "type": "arrow",
      "x": 1012.7432213323777,
      "y": 971.8747080693817,
      "width": 0.9240179999997054,
      "height": 86.90219391654102,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aL",
      "roundness": null,
      "seed": 1177366346,
      "version": 109,
      "versionNonce": 249479562,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657035,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.9240179999997054,
          -86.90219391654102
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "xtorGh2A1C7q8CeZzJnLZ",
        "focus": 0.004597701149415878,
        "gap": 5.000000000000011,
        "fixedPoint": [
          0.4977011494252894,
          1.1149382318036578
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "JMJUk67UIgmQkt_D_Cdd4",
      "type": "arrow",
      "x": 1012.7432213323777,
      "y": 144.0274858471593,
      "width": 0.9240179999997054,
      "height": 86.90219391654091,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aM",
      "roundness": null,
      "seed": 740079114,
      "version": 254,
      "versionNonce": 1246486742,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657032,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.9240179999997054,
          -86.90219391654091
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "aFIjHqHwxsUSo1z9g0FP8",
      "type": "arrow",
      "x": 1012.5334889392857,
      "y": 495.2321022122386,
      "width": 0.7142857142857792,
      "height": 62.11915017693809,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aN",
      "roundness": null,
      "seed": 535651530,
      "version": 95,
      "versionNonce": 1031642326,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096685200,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -0.7142857142857792,
          -62.11915017693809
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "ly3JnsGQRFWH-NW2Mj6AU",
        "focus": -0.0004964266837619519,
        "gap": 5,
        "fixedPoint": [
          0.4997517866581179,
          -0.09090909061079044
        ]
      },
      "endBinding": {
        "elementId": "Mf3Sn6kZ1ircwwisnVG4V",
        "focus": 0.0004964266837642576,
        "gap": 5,
        "fixedPoint": [
          0.4997517866581179,
          1.0493827159613611
        ]
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "SGdvTr0O-mLyuI3whycih",
      "type": "arrow",
      "x": 1011.8192032249999,
      "y": 266.1144950693814,
      "width": 4.547473508864641e-13,
      "height": 61.31458481952819,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aO",
      "roundness": null,
      "seed": 456801162,
      "version": 113,
      "versionNonce": 467924298,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1762096657034,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -4.547473508864641e-13,
          -61.31458481952819
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "Mf3Sn6kZ1ircwwisnVG4V",
        "focus": -0.0004964266837596954,
        "gap": 5.000000000000057,
        "fixedPoint": [
          0.4997517866581179,
          -0.032388663929747805
        ]
      },
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "llgG-hTFuJ8of1PgUhZ6q",
      "type": "text",
      "x": 907.5224557142856,
      "y": -72.07015211765737,
      "width": 210.74277169363825,
      "height": 68.42302000654635,
      "angle": 0,
      "strokeColor": "#2f9e44",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "aP",
      "roundness": null,
      "seed": 2014675414,
      "version": 82,
      "versionNonce": 1040706966,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1762096707598,
      "link": null,
      "locked": false,
      "text": "Encoder",
      "fontSize": 54.73841600523708,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Encoder",
      "autoResize": true,
      "lineHeight": 1.25
    }
  ],
  "appState": {
    "gridSize": 20,
    "gridStep": 5,
    "gridModeEnabled": false,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}